[android-components](../../index.md) / [mozilla.components.lib.jexl.value](../index.md) / [JexlBoolean](./index.md)

# JexlBoolean

`class JexlBoolean : `[`JexlValue`](../-jexl-value/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/jexl/src/main/java/mozilla/components/lib/jexl/value/JexlValue.kt#L136)

JEXL Boolean type.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `JexlBoolean(value: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`)`<br>JEXL Boolean type. |

### Properties

| Name | Summary |
|---|---|
| [value](value.md) | `val value: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |

### Functions

| Name | Summary |
|---|---|
| [compareTo](compare-to.md) | `fun compareTo(other: `[`JexlValue`](../-jexl-value/index.md)`): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [div](div.md) | `fun div(other: `[`JexlValue`](../-jexl-value/index.md)`): `[`JexlValue`](../-jexl-value/index.md) |
| [equals](equals.md) | `fun equals(other: `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`?): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [hashCode](hash-code.md) | `fun hashCode(): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [plus](plus.md) | `fun plus(other: `[`JexlValue`](../-jexl-value/index.md)`): `[`JexlValue`](../-jexl-value/index.md) |
| [times](times.md) | `fun times(other: `[`JexlValue`](../-jexl-value/index.md)`): `[`JexlValue`](../-jexl-value/index.md) |
| [toBoolean](to-boolean.md) | `fun toBoolean(): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [toInt](to-int.md) | `fun toInt(): `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [toString](to-string.md) | `fun toString(): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
